Page MenuHomePhabricator

[MSan][MIPS] Fix for some failing tests on MIPS64
ClosedPublic

Authored by mohit.bhakkad on Feb 2 2015, 1:43 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

mohit.bhakkad retitled this revision from to [MSan][MIPS] Fix for some failing tests on MIPS64.
mohit.bhakkad updated this object.
mohit.bhakkad edited the test plan for this revision. (Show Details)
mohit.bhakkad added reviewers: eugenis, kcc, samsonov.
mohit.bhakkad set the repository for this revision to rL LLVM.
mohit.bhakkad added subscribers: Unknown Object (MLST), dsanders, slthakur.
mohit.bhakkad added inline comments.Feb 2 2015, 1:58 AM
test/msan/vector_select.cc
4 ↗(On Diff #19135)

Sorry, my bad, removing this double check in next revision.

Changes in this revision:

  • Adding internal ptrace functionality for mips64.
  • Removed XFAIL from vector_select.cc and vector_cvt.cc.
  • added mips part for vector_select.cc, (will submit for vector_cvt.cc soon)
eugenis accepted this revision.Feb 16 2015, 12:48 AM
eugenis edited edge metadata.

LGTM

lib/msan/tests/msan_test.cc
2900 ↗(On Diff #19734)

This is a path to a file that does not exist!
Just remove the x86_64 part.

This revision is now accepted and ready to land.Feb 16 2015, 12:48 AM
mohit.bhakkad added inline comments.Feb 16 2015, 1:08 AM
lib/msan/tests/msan_test.cc
2900 ↗(On Diff #19734)

Ah, OK, thought it should be similar to #L2838.
Will change it before commit.
Thanks for the review.

This revision was automatically updated to reflect the committed changes.
mohit.bhakkad added inline comments.Feb 18 2015, 1:30 AM
lib/msan/tests/msan_test.cc
2900 ↗(On Diff #19734)

Took care about this while committing.